MACHINECTL(1)

NAME
machinectl - Control the systemd machine manager

SYNOPSIS

machinectl [OPTIONS...] {COMMAND} [NAME...]

DESCRIPTION

machinectl may be used to introspect and control the state of the systemd(1) virtual machine and container registration manager systemd-machined.service(8).

OPTIONS

The following options are understood:

-h, --help
    Prints a short help text and exits.

--version
    Prints a short version string and exits.

-p, --property=
    When showing machine properties, limit the output to certain properties as specified by the argument. If not specified, all set properties are shown. The argument should be a property name, such as "Name". If specified more than once, all properties with the specified names are shown.

-a, --all
    When showing machine properties, show all properties regardless of whether they are set or not.

-l, --full
    Do not ellipsize process tree entries.

--no-pager
    Do not pipe output into a pager.

--no-ask-password
    Do not query the user for authentication for privileged operations.

--kill-who=
    When used with kill-machine, choose which processes to kill. Must be one of leader, or all to select whether to kill only the leader process of the machine or all processes of the machine. If omitted, defaults to all.

-s, --signal=
    When used with kill-machine, choose which signal to send to selected processes. Must be one of the well-known signal specifiers, such as SIGTERM, SIGINT or SIGSTOP. If omitted, defaults to SIGTERM.

-H, --host
    Execute operation remotely. Specify a hostname, or username and hostname separated by "@", to connect to. This will use SSH to talk to the remote machine manager instance.

-P, --privileged
    Acquire privileges via PolicyKit before executing the operation.

The following commands are understood:

list
    List currently running virtual machines and containers.

status [ID...]
    Show terse runtime status information about one or more virtual machines and containers. This function is intended to generate human-readable output. If you are looking for computer-parsable output, use show instead.

show [ID...]
    Show properties of one or more registered virtual machines or containers or the manager itself. If no argument is specified, properties of the manager will be shown. If an ID is specified, properties of this virtual machine or container are shown. By default, empty properties are suppressed. Use --all to show those too. To select specific properties to show, use --property=. This command is intended to be used whenever computer-parsable output is required. Use status if you are looking for formatted human-readable output.

terminate [ID...]
    Terminates a virtual machine or container. This kills all processes of the virtual machine or container and deallocates all resources attached to that instance.

kill [ID...]
    Send a signal to one or more processes of the virtual machine or container. This means processes as seen by the host, not the processes inside the virtual machine or container. Use --kill-who= to select which process to kill. Use --signal= to select the signal to send.

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise.

ENVIRONMENT

$SYSTEMD_PAGER
    Pager to use when --no-pager is not given; overrides $PAGER. Setting this to an empty string or the value "cat" is equivalent to passing --no-pager.

SEE ALSO

systemd-machined.service(8), systemd-logind.service(8), systemd.special(7).